## org.apache.poi.hssf.record.formula
Class Ref3DPtg

    java.lang.Object
      org.apache.poi.hssf.record.formula.Ptg
          org.apache.poi.hssf.record.formula.Ref3DPtg

public class Ref3DPtg
extends Ptg

Title: Reference 3D Ptg

Description: Defined a cell in extern sheet.

REFERENCE:

Version:
  1.0-pre
Author:
  Libin Roman (Vista Portal LDT. Developer), Jason Height (jheight at chariot dot net dot au)

Field Summary
`static byte` `sid`

Fields inherited from class org.apache.poi.hssf.record.formula.Ptg
`CLASS_ARRAY, CLASS_REF, CLASS_VALUE, ptgClass`

Constructor Summary
`Ref3DPtg()` Creates new AreaPtg
`Ref3DPtg(byte[] data, int offset)`
`Ref3DPtg(java.lang.String cellref, short externIdx)`

Method Summary
`java.lang.Object` `clone()`
`short` `getColumn()`
`short` `getColumnRaw()`
`byte` `getDefaultOperandClass()`
`short` `getExternSheetIndex()`
`short` `getRow()`
`int` `getSize()`
`boolean` `isColRelative()`
`boolean` `isRowRelative()`
`void` `setArea(java.lang.String ref)`
`void` `setColRelative(boolean rel)`
`void` `setColumn(short column)`
`void` `setColumnRaw(short column)`
`void` `setExternSheetIndex(short index)`
`void` `setRow(short row)`
`void` `setRowRelative(boolean rel)`
`java.lang.String` `toFormulaString(Workbook book)` return a string representation of this token alone
`java.lang.String` `toString()` Overridden toString method to ensure object hash is not printed.
`void` `writeBytes(byte[] array, int offset)` write this Ptg to a byte array

Methods inherited from class org.apache.poi.hssf.record.formula.Ptg
`createPtg, getBytes, getPtgClass, setClass, toDebugString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final byte sid

See Also:
  Constant Field Values

Constructor Detail

### Ref3DPtg

    public Ref3DPtg()

  Creates new AreaPtg

### Ref3DPtg

    public Ref3DPtg(byte[] data,
                    int offset)

### Ref3DPtg

    public Ref3DPtg(java.lang.String cellref,
                    short externIdx)

Method Detail

### toString

    public java.lang.String toString()

  Description copied from class: `Ptg`
  Overridden toString method to ensure object hash is not printed. This helps get rid of gratuitous diffs when comparing two dumps Subclasses may output more relevant information by overriding this method

  Overrides:
    `toString` in class `Ptg`

### writeBytes

    public void writeBytes(byte[] array,
                           int offset)

  Description copied from class: `Ptg`
  write this Ptg to a byte array

  Specified by:
    `writeBytes` in class `Ptg`

### getSize

    public int getSize()

  Specified by:
    `getSize` in class `Ptg`

### getExternSheetIndex

    public short getExternSheetIndex()

### setExternSheetIndex

    public void setExternSheetIndex(short index)

### getRow

    public short getRow()

### setRow

    public void setRow(short row)

### getColumn

    public short getColumn()

### getColumnRaw

    public short getColumnRaw()

### isRowRelative

    public boolean isRowRelative()

### setRowRelative

    public void setRowRelative(boolean rel)

### isColRelative

    public boolean isColRelative()

### setColRelative

    public void setColRelative(boolean rel)

### setColumn

    public void setColumn(short column)

### setColumnRaw

    public void setColumnRaw(short column)

### setArea

    public void setArea(java.lang.String ref)

### toFormulaString

    public java.lang.String toFormulaString(Workbook book)

  Description copied from class: `Ptg`
  return a string representation of this token alone

  Specified by:
    `toFormulaString` in class `Ptg`

### getDefaultOperandClass

    public byte getDefaultOperandClass()

  Specified by:
    `getDefaultOperandClass` in class `Ptg`

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in class `Ptg`

Copyright © 2003 Apache Software Foundation.